Bug Hunting Session
Bug 87668 - Original Size (.uno:OriginalSize) shown in context menu when image isnt resized
Summary: Original Size (.uno:OriginalSize) shown in context menu when image isnt resized
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: Other All
: medium normal
Assignee: Gülşah Köse
URL:
Whiteboard: target:5.2.0
Keywords:
Depends on:
Blocks: Context-Menu
  Show dependency treegraph
 
Reported: 2014-12-24 07:00 UTC by Yousuf Philips (jay) (retired)
Modified: 2016-10-25 19:03 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) (retired) 2014-12-24 07:00:41 UTC
Steps:
1) Open Impress
2) Add an small image
3) Right-click and Original Size will be listed

When an image hasnt been resized by the user or resized by LO to fit in the available space, 'Original Size' should be inactive and not shown in the context menu.

Version: 4.5.0.0.alpha0+
Build ID: e570cd7a293ceee175949dcc9656cdf776ae3c37
TinderBox: Linux-rpm_deb-x86@45-TDF, Branch:master, Time: 2014-12-12_18:49:54
Comment 1 A (Andy) 2014-12-24 09:10:25 UTC
Reproducible with LO 4.4.0.0.beta1 and 4.3.4.1 (Win 8.1).

I agree it should only be shown, if the size had been changed.
Comment 2 Cor Nouws 2014-12-24 10:40:04 UTC
or simply grayed out..
Comment 3 Yousuf Philips (jay) (retired) 2014-12-24 11:08:19 UTC
(In reply to Cor Nouws from comment #2)
> or simply grayed out..

Presently the context menu doesnt gray out entries, it only removes/hides them.
Comment 4 QA Administrators 2016-01-17 20:05:33 UTC Comment hidden (obsolete)
Comment 5 Commit Notification 2016-05-20 10:20:58 UTC
Gulsah Kose committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=b12354a2de297f05dcdf4602290b56d64675006a

tdf#87668 Add control to show or hide "Original Size" option.

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.